/* 
	CA-driver for TwinHan DST Frontend

	Copyright (C) 2004 Manu Abraham

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef _DST_CA_H_
#define _DST_CA_H_



#define	CA_APP_INFO_ENQUIRY	0x9f8020
#define	CA_APP_INFO		0x9f8021
#define	CA_ENTER_MENU		0x9f8022
#define CA_INFO_ENQUIRY		0x9f8030
#define	CA_INFO			0x9f8031
#define CA_PMT			0x9f8032
#define CA_PMT_REPLY		0x9f8033
#define CA_CLOSE_MMI		0x9f8800

struct dst_ca_private {
	struct dst_state *dst;
	struct dvb_device *dvbdev;
};



#endif
